Page MenuHomePhabricator

[InstCombine] Precommit D138814 tests
ClosedPublic

Authored by Pierre-vh on Nov 30 2022, 6:19 AM.

Details

Summary

Separate commit for D138814's testcases to make review easier.

Diff Detail

Event Timeline

Pierre-vh created this revision.Nov 30 2022, 6:19 AM
Herald added a project: Restricted Project. · View Herald TranscriptNov 30 2022, 6:19 AM
Pierre-vh requested review of this revision.Nov 30 2022, 6:19 AM
Herald added a project: Restricted Project. · View Herald TranscriptNov 30 2022, 6:19 AM
spatel accepted this revision.Nov 30 2022, 10:42 AM

LGTM - no need for pre-commit review to add NFC tests.
Although we may want the discussion to continue before committing to main - in case we're missing more corner cases.

This revision is now accepted and ready to land.Nov 30 2022, 10:42 AM
Pierre-vh updated this revision to Diff 479536.Dec 2 2022, 12:31 AM

Add more testcases

Pierre-vh updated this revision to Diff 486822.Jan 6 2023, 5:14 AM

Remove comments in test

Pierre-vh updated this revision to Diff 486829.Jan 6 2023, 5:27 AM

Update to only check zext

Pierre-vh updated this revision to Diff 486835.Jan 6 2023, 5:36 AM

Cleanup accidental squash

Pierre-vh updated this revision to Diff 487353.Jan 9 2023, 2:42 AM

Add multi-use tests

This revision was automatically updated to reflect the committed changes.